Bug 115382 - RHAPS/JOnAS seg faulting with JRockit
RHAPS/JOnAS seg faulting with JRockit
Status: CLOSED CURRENTRELEASE
Product: Red Hat Application Server Public Beta
Classification: Retired
Component: jonas (Show other bugs)
1.0-beta1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Frank Ch. Eigler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-11 14:39 EST by Patrick Macdonald
Modified: 2007-04-18 13:02 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-16 15:11:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Macdonald 2004-02-11 14:39:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031007

Description of problem:
A user has received the following error while starting the jonas
service  with BEA's JRockit:

/var/lib/jonas/bin/unix/jonas: line 218:  3447 Segmentation fault    
 $JAVA $JAVA_OPTS $TOMCAT_OPTS $JETTY_OPTS $BOOT
org.objectweb.jonas.adm.JonasAdmin -ping $NAME_OPT


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install the jonas rpm
2. Install the BEA JRockit rpm
3. service jonas start
    

Actual Results:  The service will not start, meesages are sent to the log.

Expected Results:  A happy Red Hat Application Server

Additional info:
Comment 1 Patrick Macdonald 2004-02-16 15:11:17 EST
This is a known problem with JRockit and RHEL 3.  

http://edocs.bea.com/wljrockit/docs142/relnotes/relnotes.html

The solution is to add LD_ASSUME_KERNEL=2.4.5 into the jonas service
init script when executing in a JRockit environment.

[from the latest jonas.init file]
# JVM compatibility hacks
case "x$JAVA_HOME" in
    *IBM*) ulimit -s 10240 ;;
    *bea*) LD_ASSUME_KERNEL=2.4.5; export LD_ASSUME_KERNEL ;;
esac

This modification was added to the jonas init script on Dec 30, 2003.

Note You need to log in before you can comment on or make changes to this bug.